Python
from kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.assessment.get_assessment_orders(page_size=100)
while res is not None:
# Handle items
res = res.next()import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.assessment.getAssessmentOrders({});
for await (const page of result) {
console.log(page);
}
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.assessment.get_assessment_orders(page_size: 100)
unless res.get_assessment_orders_positive_response.nil?
# handle response
endcurl --request GET \
--url https://api.kombo.dev/v1/assessment/orders \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/assessment/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/assessment/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/assessment/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/assessment/orders")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "<string>",
"data": {
"next": "<string>",
"results": [
{
"id": "<string>",
"package_id": "<string>",
"candidate": {
"remote_id": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>"
},
"application": {
"remote_id": "<string>"
},
"job": {
"remote_id": "<string>",
"name": "<string>",
"job_code": "<string>",
"description": "<string>",
"location": {
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"raw": "<string>"
},
"hiring_team": [
{
"remote_id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"hiring_team_roles": []
}
]
}
}
]
}
}Orders and results
Get orders
Get all assessment and background check orders of an integration.
GET
/
assessment
/
orders
Python
from kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.assessment.get_assessment_orders(page_size=100)
while res is not None:
# Handle items
res = res.next()import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.assessment.getAssessmentOrders({});
for await (const page of result) {
console.log(page);
}
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.assessment.get_assessment_orders(page_size: 100)
unless res.get_assessment_orders_positive_response.nil?
# handle response
endAuthorizations
Headers
ID of the integration you want to interact with.
Query Parameters
An optional cursor string used for pagination. This can be retrieved from the next property of the previous page response.
The number of results to return per page. Maximum is 250.
Required range:
1 <= x <= 250Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of OPEN, COMPLETED, CANCELLED, REJECTED.
Leave this blank to get results matching all values.
Filter orders by their creation date-timestamp in the format: YYYY-MM-DDTHH:mm:ss.sssZ. Only orders created on or after this date-timestamp will be returned.
Pattern:
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?)?Z?$Was this page helpful?
⌘I